Bug 493286 - Ekiga 3.0.2 eats CPU and memory a few hours after start
Ekiga 3.0.2 eats CPU and memory a few hours after start
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ekiga (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-01 05:30 EDT by Ilya Ryabinkin
Modified: 2009-12-18 04:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:10:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ilya Ryabinkin 2009-04-01 05:30:55 EDT
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en; rv:1.9.0.8) Gecko/20080528 Fedora/2.24.3-4.fc10 Epiphany/2.22 Firefox/3.0

Ekiga causes hits of CPU activity after a rather short period of time. This hits become longer and longer and within a few hours CPU is used continiously. Additionally, memory consumption continually increases. For instance, I've started ekiga at 12:00 AM, it consumed ~25 Mb RSS memory and virtually no CPU. At 6:00 AM Ekiga ate all CPU and ~330 Mb of RSS memory.

Reproducible: Always

Steps to Reproduce:
1. Start ekiga with ekiga.net active accont. No dial out, no calls
2. Wait for a few hours.

Actual Results:  
a lot of memory and CPU consumed.
Comment 1 Peter Robinson 2009-04-01 07:23:26 EDT
Can you provide some more details? 'rpm -q ptlib opal ekiga' would be a good start. I've been running ekiga 3 for months with no major issues.
Comment 2 Ilya Ryabinkin 2009-04-01 09:00:46 EDT
$ rpm -q ptlib opal ekiga
ptlib-2.4.4-2.fc10.i386
opal-3.4.4-4.fc10.i386
ekiga-3.0.2-2.fc10.i386

This is fully up-to-date Fedora 10. I tested with only one active account (@ekiga.net). No calls, just running program.
Comment 3 Ilya Ryabinkin 2009-04-01 11:50:56 EDT
Now I've noticed heavy CPU consuption by ekiga. I've chosen to quit, but it seems to crash and BugBuddy supplied the following crash details:  

Distribution: Fedora release 10 (Cambridge)
Gnome Release: 2.24.3 2009-01-16 (Red Hat, Inc)
BugBuddy Version: 2.24.2

System: Linux 2.6.27.19-170.2.35.fc10.i686 #1 SMP Mon Feb 23 13:21:22 EST 2009 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10503000
Selinux: Enforcing
Accessibility: Disabled
GTK+ Theme: Aurora Leopard BSM
Icon Theme: MacUltimate_Leopard

Memory status: size: 0 vsize: 0 resident: 0 share: 0 rss: 0 rss_rlim: 0
CPU usage: start_time: 0 rtime: 0 utime: 0 stime: 0 cutime:0 cstime: 0 timeout: 0 it_real_value: 0 frequency: 0



----------- .xsession-errors (50 sec old) ---------------------
[BUG][ 1238600800.942572] xim_proxy_client_protocol_real_xim_forward_event: The pending key event counter is overflowed
[BUG][ 1238600801.246331] xim_proxy_client_protocol_real_xim_forward_event: The pending key event counter is overflowed
[BUG][ 1238600801.268207] xim_proxy_client_protocol_real_xim_forward_event: The pending key event counter is overflowed
[BUG][ 1238600801.325835] xim_proxy_client_protocol_real_xim_forward_event: The pending key event counter is overflowed
[BUG][ 1238600801.433376] xim_proxy_client_protocol_real_xim_forward_event: The pending key event counter is overflowed
[BUG][ 1238600801.438906] xim_proxy_client_protocol_real_xim_forward_event: The pending key event counter is overflowed
[BUG][ 1238600801.720655] xim_proxy_client_protocol_real_xim_forward_event: The pending key event counter is overflowed
[BUG][ 1238600801.957925] xim_proxy_client_protocol_real_xim_forward_event: The pending key event counter is overflowed
[BUG][ 1238600802.012284] xim_proxy_client_protocol_real_xim_forward_event: The pending key event counter is overflowed
[BUG][ 1238600802.092660] xim_proxy_client_protocol_real_xim_forward_event: The pending key event counter is overflowed
[BUG][ 1238600802.257733] xim_proxy_client_protocol_real_xim_forward_event: The pending key event counter is overflowed
[BUG][ 1238600802.261011] xim_proxy_client_protocol_real_xim_forward_event: The pending key event counter is overflowed
[BUG][ 1238600802.452440] xim_proxy_client_protocol_real_xim_forward_event: The pending key event counter is overflowed
[BUG][ 1238600802.565940] xim_proxy_client_protocol_real_xim_forward_event: The pending key event counter is overflowed
[BUG][ 1238600804.202017] xim_proxy_client_protocol_real_xim_forward_event: The pending key event counter is overflowed
--------------------------------------------------

Hope, it may help.
Comment 4 Peter Robinson 2009-04-01 12:38:48 EDT
Unfortunately the above bugbuddy report isn't much use. if you can reliably reproduce the crash I can give you details of how to gather a useful crash dump
Comment 5 Michal Pomorski 2009-04-11 08:18:21 EDT
I confirm this bug.
I was testing ekigas cooperation with pulseaudio by making an echo call while playing music for few hours. 
It ended up using most of the cpu (80-90%, rest was taken by pulseaudio) and loads of memory (hundreds of MB). It also developed a nasty lag of few seconds.
It didnt crash but it stopped responding to my attempts to close the application so I killed it. 
I also tried to just let it run alone, completely idle. Already during the first half an hour I noticed it was allocating a few MB each 5 mins or so. The cpu staying at around 10-13%.
Within less than an hour, it was using well over 100MB.

I really want to not use that stupid skype but in this state ekiga is not much of an alternative. Please tell me what information to provide.

My system is Fedora 10 running an HP 550 laptop (Celeron 550 2GHz).
Comment 6 Peter Robinson 2009-08-07 11:27:06 EDT
Now that Fedora 11 is out, have you tried ekiga 3.2.5 on F-11?
Comment 7 Ilya Ryabinkin 2009-08-07 13:10:03 EDT
Sorry, cannot check, I haven't F11 yet.
Comment 8 Alec Leamas 2009-10-20 13:17:58 EDT
F11 might be worse, at least for me. Sort of random behaviour. 

First attempt to call echo server seems OK.

Second attempt: playback fails after some seconds, Ekiga becomes unresponsive w high CPU load and must be killed.

Logging out/in again resets and makes next call OK.

F11 updated as of today on an Asrock ION nettop (i686/Nvidia MCP79 audio)

'ekiga -d 4' produces lots of output, I can attach if there is interest.

Hope it's ok to write into this bug instead of opening a new. Pls let me know if I should keep off this bug.
Comment 9 Peter Robinson 2009-10-21 04:29:03 EDT
For this one it might be better to open a bug upstream at bugzilla.gnome.org. Make a note of the BZ in this ticket so I can track it.
Comment 10 Bug Zapper 2009-11-18 04:57:57 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-12-18 04:10:12 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.